Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclIPSocketI Class Reference

`#include <oscl_ip_socket.h>`

Inheritance diagram for OsclIPSocketI:

## Public Methods
int32 | Bind (OsclNetworkAddress &aAddress)
int32 | Join (OsclNetworkAddress &aAddress)
int32 | SetRecvBufferSize (uint32 size)
int32 | SetOptionToReuseAddress ()
int32 | SetTOS (const OsclSocketTOS &aTOS)
int32 | GetPeerName (OsclNetworkAddress &peerName)
virtual int32 | Close ()=0
virtual uint8 * | GetRecvData (int32 *aLength)=0
virtual uint8 * | GetSendData (int32 *aLength)=0
virtual | ~OsclIPSocketI ()
void | ThreadLogoff ()
void | ThreadLogon (OsclSocketObserver *aObs, OsclSocketServI *aServ)
OsclSocketServI * | SocketServ ()
Oscl_DefAlloc & | Alloc ()
## Protected Methods
| OsclIPSocketI (Oscl_DefAlloc &a)
void | ConstructL (OsclSocketObserver *aObs, OsclSocketI *aSock, OsclSocketServI *aServ, uint32 aId)
## Protected Attributes
Oscl_DefAlloc & | iAlloc
OsclNetworkAddress | iAddress
uint32 | iId
OsclSocketObserver * | iObserver
OsclSocketI * | iSocket
OsclSocketServI * | iSocketServ
PVLogger * | iLogger
## Friends
class | OsclSocketRequestAO
class | OsclSocketMethod

## Constructor & Destructor Documentation

virtual OsclIPSocketI::~OsclIPSocketI | ( |  | ) | `[inline, virtual]`

OsclIPSocketI::OsclIPSocketI | ( | Oscl_DefAlloc & | a | ) | `[inline, protected]`

## Member Function Documentation

Oscl_DefAlloc& OsclIPSocketI::Alloc | ( |  | ) | `[inline]`

int32 OsclIPSocketI::Bind | ( | OsclNetworkAddress & | aAddress | ) |

virtual int32 OsclIPSocketI::Close | ( |  | ) | `[pure virtual]`

| Implemented in OsclTCPSocketI, and OsclUDPSocketI.

void OsclIPSocketI::ConstructL | ( | OsclSocketObserver * | aObs,
|  | OsclSocketI * | aSock,
|  | OsclSocketServI * | aServ,
|  | uint32 | aId
| ) | `[protected]`

int32 OsclIPSocketI::GetPeerName | ( | OsclNetworkAddress & | peerName | ) |

virtual uint8* OsclIPSocketI::GetRecvData | ( | int32 * | aLength | ) | `[pure virtual]`

| Implemented in OsclTCPSocketI, and OsclUDPSocketI.

virtual uint8* OsclIPSocketI::GetSendData | ( | int32 * | aLength | ) | `[pure virtual]`

| Implemented in OsclTCPSocketI, and OsclUDPSocketI.

int32 OsclIPSocketI::Join | ( | OsclNetworkAddress & | aAddress | ) |

int32 OsclIPSocketI::SetOptionToReuseAddress | ( |  | ) |

int32 OsclIPSocketI::SetRecvBufferSize | ( | uint32 | size | ) |

int32 OsclIPSocketI::SetTOS | ( | const OsclSocketTOS & | aTOS | ) |

OsclSocketServI* OsclIPSocketI::SocketServ | ( |  | ) | `[inline]`

void OsclIPSocketI::ThreadLogoff | ( |  | ) |

| Reimplemented in OsclTCPSocketI, and OsclUDPSocketI.

void OsclIPSocketI::ThreadLogon | ( | OsclSocketObserver * | aObs,
|  | OsclSocketServI * | aServ
| ) |

## Friends And Related Function Documentation

friend class OsclSocketMethod`[friend]`

friend class OsclSocketRequestAO`[friend]`

## Field Documentation

OsclNetworkAddress OsclIPSocketI::iAddress`[protected]`

Oscl_DefAlloc& OsclIPSocketI::iAlloc`[protected]`

uint32 OsclIPSocketI::iId`[protected]`

PVLogger* OsclIPSocketI::iLogger`[protected]`

OsclSocketObserver* OsclIPSocketI::iObserver`[protected]`

OsclSocketI* OsclIPSocketI::iSocket`[protected]`

OsclSocketServI* OsclIPSocketI::iSocketServ`[protected]`

The documentation for this class was generated from the following file:

- oscl_ip_socket.h